summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author MDrights <psychi2009@gmail.com>2019-05-17 23:53:46 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-05-17 23:53:46 +0700
commita138445e2ded4dd4f7600aa17210a513c9187cce (patch)
tree07a7f62d52fa25e5d1b324efb1c455d1591801f2
parent9a5fd4139ed18bcf682602df6bb4b715894348f5 (diff)
downloadslackbuilds-a138445e2ded4dd4f7600aa17210a513c9187cce.tar.gz
slackbuilds-a138445e2ded4dd4f7600aa17210a513c9187cce.tar.xz
python/python3-itsdangerous: Added (Various helpers).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--python/python3-itsdangerous/README5
-rw-r--r--python/python3-itsdangerous/python3-itsdangerous.SlackBuild87
-rw-r--r--python/python3-itsdangerous/python3-itsdangerous.info10
-rw-r--r--python/python3-itsdangerous/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/python/python3-itsdangerous/README b/python/python3-itsdangerous/README
new file mode 100644
index 0000000000..855a564444
--- /dev/null
+++ b/python/python3-itsdangerous/README
@@ -0,0 +1,5 @@
+Various helpers to pass data to untrusted environments and to get it
+back safe and sound.
+This repository provides a module that is a port of the django signing
+module. It's not directly copied but some changes were applied to make
+it work better on its own.
diff --git a/python/python3-itsdangerous/python3-itsdangerous.SlackBuild b/python/python3-itsdangerous/python3-itsdangerous.SlackBuild
new file mode 100644
index 0000000000..bec019a442
--- /dev/null
+++ b/python/python3-itsdangerous/python3-itsdangerous.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for python3-itsdangerous
+
+# Copyright 2019 MDrights
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=python3-itsdangerous
+PROGNAM=itsdangerous
+VERSION=${VERSION:-0.24}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PROGNAM-$VERSION
+tar xvf $CWD/$PROGNAM-$VERSION.tar.gz
+cd $PROGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# build with python3
+python3 setup.py install --root=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README CHANGES LICENSE PKG-INFO docs/*.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/python3-itsdangerous/python3-itsdangerous.info b/python/python3-itsdangerous/python3-itsdangerous.info
new file mode 100644
index 0000000000..4db9439910
--- /dev/null
+++ b/python/python3-itsdangerous/python3-itsdangerous.info
@@ -0,0 +1,10 @@
+PRGNAM="python3-itsdangerous"
+VERSION="0.24"
+HOMEPAGE="https://github.com/mitsuhiko/itsdangerous"
+DOWNLOAD="https://pypi.python.org/packages/source/i/itsdangerous/itsdangerous-0.24.tar.gz"
+MD5SUM="a3d55aa79369aef5345c036a8a26307f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3"
+MAINTAINER="MDrights"
+EMAIL="psychi2009@gmail.com"
diff --git a/python/python3-itsdangerous/slack-desc b/python/python3-itsdangerous/slack-desc
new file mode 100644
index 0000000000..19c8a0163d
--- /dev/null
+++ b/python/python3-itsdangerous/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python3-itsdangerous: python3-itsdangerous (Various helpers to pass trusted data)
+python3-itsdangerous:
+python3-itsdangerous: It's Dangerous ... so better sign this
+python3-itsdangerous: Various helpers to pass data to untrusted environments and to get it
+python3-itsdangerous: back safe and sound.
+python3-itsdangerous: This repository provides a module that is a port of the django signing
+python3-itsdangerous: module. It's not directly copied but some changes were applied to make
+python3-itsdangerous: it work better on its own.
+python3-itsdangerous:
+python3-itsdangerous:
+python3-itsdangerous: Homepage: https://github.com/mitsuhiko/itsdangerous